RDKit::MMFF::MMFFAtomProperties Class Reference

`#include <AtomTyper.h>`

## Public Member Functions

| MMFFAtomProperties ()
| ~MMFFAtomProperties ()=default

## Public Attributes

std::uint8_t | mmffAtomType {0}
double | mmffFormalCharge {0.0}
double | mmffPartialCharge {0.0}

## Detailed Description

Definition at line 58 of file MMFF/AtomTyper.h.

## Constructor & Destructor Documentation

## MMFFAtomProperties()

RDKit::MMFF::MMFFAtomProperties::MMFFAtomProperties | ( |  | ) |

inline

Definition at line 60 of file MMFF/AtomTyper.h.

## ~MMFFAtomProperties()

RDKit::MMFF::MMFFAtomProperties::~MMFFAtomProperties | ( |  | ) |

default

## Member Data Documentation

## mmffAtomType

std::uint8_t RDKit::MMFF::MMFFAtomProperties::mmffAtomType {0}

Definition at line 62 of file MMFF/AtomTyper.h.

## mmffFormalCharge

double RDKit::MMFF::MMFFAtomProperties::mmffFormalCharge {0.0}

Definition at line 63 of file MMFF/AtomTyper.h.

## mmffPartialCharge

double RDKit::MMFF::MMFFAtomProperties::mmffPartialCharge {0.0}

Definition at line 64 of file MMFF/AtomTyper.h.

The documentation for this class was generated from the following file:

- MMFF/AtomTyper.h